# norootforbuild

Name:				unworkable
Version:			20080108
Release:			2.158
Summary:			An Efficient, Simple, And Elegant BitTorrent Implementation
Source:			http://niallohiggins.com/unworkable/dist/unworkable-%{version}.tar.gz
Patch2:			unworkable-lib64-optflags.patch
URL:				http://niallo.net/unworkable
Group:			Productivity/Networking/Other
License:			BSD License (original)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	scons gcc glibc-devel bison flex
%if %suse_version >= 1110
BuildRequires:  libevent-devel
%else
BuildRequires:  libevent
%endif
%if %suse_version >= 1030
BuildRequires:	libopenssl-devel
%else
BuildRequires:	openssl-devel
%endif

%description
Unworkable is a BitTorrent implementation written as an asynchronous,
single-threaded application in ANSI C using libevent and mmap() for
performance. Its goals include efficiency, simplicity, and high code quality.

%debug_package
%prep
%setup -q -n unworkable
%patch2

%build
OPTFLAGS="%{optflags}" \
scons %{?jobs:-j%{jobs}}

%install
%__install -D -m0755 unworkable "%{buildroot}%{_bindir}/unworkable"
%__install -D -m0644 unworkable.1 "%{buildroot}%{_mandir}/man1/unworkable.1"

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc README
%{_bindir}/unworkable
%doc %{_mandir}/man1/unworkable.1*

%changelog
* Tue Jan  8 2008 Pascal Bleser <guru@unixtech.be> 20080108
- new upstream version

* Wed Dec  5 2007 Pascal Bleser <guru@unixtech.be> 20071205
- new package

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
